import java.io.*;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.input.SAXBuilder;

class SlowParse
{

	static final String TESTDIR = "xml_files";
	static SAXBuilder jdomBuilder;

	SlowParse()
	{
		jdomBuilder = new SAXBuilder();
	}

	void test()
	{
		File din = new File( TESTDIR );
		if( ! din.isDirectory() )
		{
			System.err.println( "Error: not a directory: " + TESTDIR );
			System.exit(-1);
		}

		// Get the list of files
		String [] fileNames = din.list();

		// For each file name in this directory
		for( int i=0; i < fileNames.length; i++ )
		{
			// The the name
			String fileName = fileNames[i];
			// Skip if it doesn't end in .xml
			if( ! fileName.toLowerCase().endsWith( ".xml" ) )
				continue;
			// Create a file object
			File theFile = new File( din, fileName );


			// Print messages for timing
			System.err.println( "About to parse " + theFile );
			System.err.flush();

			// Now call the parser
			try
			{
				Document jdomDocument = jdomBuilder.build( theFile );
			}
			catch(Exception e)
			{
				System.err.println( "build threw an exception: " + e );
			}

			// Print messages for timing
			System.err.println( "Finished calling parser." );
			System.err.flush();

		}	// End for each file
	}

	public static void main( String args[] )
	{
		SlowParse sp = new SlowParse();
		sp.test();
	}
}
